@import "../../../../mixins.scss";
@import "~react-table/react-table.css";

.sow-metrics,
.customer-ot-dashboard {
  display: flex;
  flex-direction: column;
  .failed-tickets__header {
    display: flex;
    min-width: unset;
    margin: 5px 0 5px 5px;
  }

  .failed-tickets__header-link {
    border-radius: 2px;
    font-family: var(--font-first);
    font-weight: 700;
    font-size: var(--font-s);
    line-height: 1;
    font-style: normal;
    font-stretch: normal;
    letter-spacing: 0.2px;
    text-align: left;
    color: var(--primary);
    border-color: var(--primary);
    padding: 8px 14px;
    text-align: center;
    outline: none;
    margin: 0 5px 0 0;
    min-width: 11opx;
    border: 1px solid var(--primary);
    background: var(--default);

    @include transitions(all 0.5s ease);
    @include text_one_line;

    &:hover,
    &:active,
    &:focus,
    &:focus:active,
    &:hover:active {
      background: var(--primary);
      color: var(--default);
      border-color: var(--primary);
      img {
        filter: invert(75%);
      }
    }

    &.--active {
      background: var(--primary);
      color: var(--default);
      border-color: var(--app-bg);
      img {
        filter: invert(75%);
      }
      position: relative;
      display: block;
      &::after {
        position: absolute;
        bottom: 0;
        height: 0;
        width: 0;
        left: 43%;
        border: 6px solid transparent;
        border-bottom-color: var(--app-bg);
        content: "";
      }
    }
  }

  .dashboard-sow-metrics__table-top {
    display: flex;
    font-size: var(--font-m);
    font-weight: 600;
    background: white;
    position: relative;
    .filters {
      line-height: 3;
      padding: 10px 0;
      display: flex;
      max-width: 65%;

      .tiles {
        display: flex;
        padding: 6px 0 0 0;
        flex-wrap: wrap;
        .filter-tile {
          border: 1px solid #ccc;
          padding: 0px 5px;
          display: flex;
          height: 23px;
          justify-content: space-between;
          line-height: 1.7;
          margin: 2px 0 0 5px;
          background: white;
          img.d-pointer.icon-remove {
            width: 14px;
            border-left: 1px solid #ccc;
            padding: 0 0 0 5px;
            margin: 0 0 0 3px;
          }
        }
        .clear-filter-applied {
          color: red;
          cursor: pointer;
        }
      }
      .tiles > * {
        flex: auto auto auto;
      }
    }
    img.filter-img {
      filter: invert(1);
      padding: 0 4px 0px 5px;
    }
    .no-filter-applied {
      font-size: var(--font-s);
      font-weight: 100;
      line-height: 2;
      padding: 0px 10px;
      color: #777;
    }
    .total-count {
      padding: 0px 5px;
      align-self: center;
      span {
        color: var(--grey-label);
      }
    }
    .right-section {
      align-self: center;
      margin-left: auto;
      margin-right: 10px;
      .sow-export-btn {
        padding: 5px 0;
        span > img {
          width: 16px;
          height: 19px;
          margin-right: 5px;
          padding-bottom: 3px;
        }
      }
    }
  }
}

.sow-metrics-listing {
  padding: 0 5px;

  .heading {
    min-width: 150px;
    line-height: 4;
  }
  .dashboard-sow-metrics__search {
    max-width: 300px;
    align-self: center;
    padding-left: 15px;
    .field__label {
      display: none !important;
    }
    .field__error {
      display: none !important;
    }
  }
}
.failed-service-tickets {
  margin: 0 5px 0 5px;
}


.open-won-switch {
  background: white;
  width: 160px;
  margin: 5px;
  padding: 0px 10px;
  .switch {
    -webkit-appearance: none;
    height: 2rem;
    width: 4rem;
    background-color:  lightgray ; 
    border-radius: 43px;
    position: relative;
    top: 5px;
    cursor: pointer;
    &::after {
      top: 1px;
      left: 1px;
      content: "";
      width: 1.8rem;
      height: 1.8rem;
      background-color: var(--primary) ;;
      position: absolute;
      border-radius: 100%;
      transition: 1s;
    }
    &:checked {
      background-color: rgba(211, 211, 211, 0.794) ;
      &::after {
        transform: translateX(2rem);
      }
    }
    &:focus {
      outline-color: transparent;
    }
  }
}